# WOK
TKWOK
MS

# MS_HSequenceOfExecutable Class Reference

`#include <MS_HSequenceOfExecutable.hxx>`

## Public Member Functions

| MS_HSequenceOfExecutable ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MS_Executable)&anItem)
Standard_EXPORT void | Append (const Handle(MS_HSequenceOfExecutable)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MS_Executable)&anItem)
Standard_EXPORT void | Prepend (const Handle(MS_HSequenceOfExecutable)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_Executable)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_HSequenceOfExecutable)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_Executable)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_HSequenceOfExecutable)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MS_HSequenceOfExecutable | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MS_Executable)&anItem)
Standard_EXPORT const Handle_MS_Executable & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MS_Executable & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MS_SequenceOfExecutable & | Sequence () const
MS_SequenceOfExecutable & | ChangeSequence ()
Standard_EXPORT Handle_MS_HSequenceOfExecutable | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_SequenceOfExecutable | mySequence

## Constructor & Destructor Documentation

MS_HSequenceOfExecutable::MS_HSequenceOfExecutable | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MS_HSequenceOfExecutable::Append | ( | const Handle(MS_HSequenceOfExecutable)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfExecutable::Append | ( | const Handle(MS_Executable)& | anItem | ) |

MS_SequenceOfExecutable& MS_HSequenceOfExecutable::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MS_Executable& MS_HSequenceOfExecutable::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfExecutable::Clear | ( |  | ) |

Standard_EXPORT void MS_HSequenceOfExecutable::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MS_HSequenceOfExecutable::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HSequenceOfExecutable::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfExecutable)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfExecutable::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Executable)& | anItem
| ) |

Standard_EXPORT void MS_HSequenceOfExecutable::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfExecutable)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfExecutable::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Executable)& | anItem
| ) |

Standard_Boolean MS_HSequenceOfExecutable::IsEmpty | ( |  | ) | const

Standard_Integer MS_HSequenceOfExecutable::Length | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfExecutable::Prepend | ( | const Handle(MS_HSequenceOfExecutable)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfExecutable::Prepend | ( | const Handle(MS_Executable)& | anItem | ) |

Standard_EXPORT void MS_HSequenceOfExecutable::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MS_HSequenceOfExecutable::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfExecutable::Reverse | ( |  | ) |

const MS_SequenceOfExecutable& MS_HSequenceOfExecutable::Sequence | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfExecutable::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Executable)& | anItem
| ) |

Standard_EXPORT Handle_MS_HSequenceOfExecutable MS_HSequenceOfExecutable::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfExecutable MS_HSequenceOfExecutable::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MS_Executable& MS_HSequenceOfExecutable::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MS_SequenceOfExecutable MS_HSequenceOfExecutable::mySequence `[private]`

The documentation for this class was generated from the following file:

- MS_HSequenceOfExecutable.hxx